// pages/volunteerRanking/volunteerRanking.js
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    rankList:[
      { qu:'栖霞区',school:'20所',gread:'29013901'},
      { qu: '马群区', school: '12所', gread: '29013901' }
    ]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var config = wx.getStorageSync('config');
    var that = this;
    wx: wx.request({
      url: app.url + 'ajax_get_volunteer_rank3.php',
      data: {
        unionId: config.unionId,
        province: '上海市',
        city:'1市'
      },
      header: { 'content-type': 'application/json' },
      method: 'GET',
      dataType: 'json',
      success: function (res) {
        console.log(res)
        if (res.statusCode == 200) {
          that.setData({
            rankList: res.data.result.rankList
          })
        }
      },
      fail: function (res) { },
      complete: function (res) { },
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})